.jpValgDashboard--wrapper .c-article-text-container {
    padding: 0
}



.jpValgDashboard--wrapper {

    /* party colors */

    --partyColorA: #db0812;
    --partyColorAA: #65b32e;
    --partyColorB: #df0078;
    --partyColorC: #00674f;
    --partyColorD: #00708d;
    --partyColorF: #b70e0c;
    --partyColorG: #cdd500;
    --partyColorI: #003f4d;
    --partyColorK: #eb9900;
    --partyColorM: #6e387b;
    --partyColorO: #fcd500;
    --partyColorOE: #89150d;
    --partyColorQ: #a0cc8b;
    --partyColorV: #0081c3;
    --partyColorAE: #4fc2e9;
    --blockColorBlaa: #0070BA;
    --blockColorRoed: #CF000C;
    --blockColorM: #55296A
}

.jpValgDashboard--wrapper .c-article-text-container {
    padding: 0
}

.jpValgDashboard--wrapper .c-article-text-container p,
.jpValgDashboard--wrapper .c-article-text-container h3 {
    max-width: 620px;
    margin-left: auto;
    margin-right: auto;
}


.jpValgDashboard--wrapper .graphWrapper {
    position: relative;
    max-width: 960px;
    margin: auto;
    min-height: 550px;
}

.jpValgDashboard--wrapper .graphWrapper.smallPieChart {
    max-height: 80px;
    min-height: initial;
}

/* Reducing height on mobile */
@media screen and (max-width: 620px) {


    .jpValgDashboard--wrapper .mobileHeight500 {
        min-height: 500px;
    }

    .jpValgDashboard--wrapper .mobileHeight400 {
        min-height: 400px;
    }

    .jpValgDashboard--wrapper .mobileHeight300 {
        min-height: 300px;
    }
}


.jpValgDashboard--wrapper .gridWrapper {
    
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
    grid-gap: 10px;
    width: 100%;
    /* margin: auto; */
    
}

@media screen and (min-width:450px) {
    .jpValgDashboard--wrapper .gridWrapper {
        grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
    }
}
/* 

@media screen and (min-width:600px) {
    .jpValgDashboard--wrapper .gridWrapper {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}

@media screen and (min-width:1000px) {
    .jpValgDashboard--wrapper .gridWrapper {
        grid-auto-columns: minmax(280px, auto);;
    }
} */


.jpValgDashboard--wrapper .highcharts-figure {
    margin: 0;
}

.jpValgDashboard--wrapper figure.graphWrapper {
    margin: 48px auto;
}

/* Defining icon dimensions (boxes with party letters) */
.jpValgDashboard--wrapper {
    --iconDimension: 25px;
}

/* Background behind party letters on x-axis */
.jpValgDashboard--wrapper .partyAxisLabel:before,
.jpValgDashboard--wrapper .partyLegendIcon:before,
.jpValgDashboard--wrapper .partyGridIcon:before {
    color: white;
    padding-top: 1px;
    line-height: var(--iconDimension);
    font-family: GuardianSans, Arial, Helvetica, sans-serif;
    font-weight: bold;
    width: var(--iconDimension);
    height: var(--iconDimension);
    text-align: center;
    margin: auto;
    min-width: 15px;
    font-size: 15px;
    display: inline-block;
    z-index: -1;
}

.jpValgDashboard--wrapper .partyLegendIcon:before {
    margin-right: 5px;
    margin-top: 3px;
}

.jpValgDashboard--wrapper .partyGridIcon {
    line-height: var(--iconDimension);
    height: var(--iconDimension);
}

/* preventing labels/titles from wrapping */
.jpValgDashboard--wrapper .partyLegendIcon {
    white-space: nowrap;
}

/* fade icon when hidden in Highcharts */

.jpValgDashboard--wrapper .highcharts-legend-item-hidden .partyLegendIcon:before {
    opacity: 0.3
}

.jpValgDashboard--wrapper .inlineLabel:before {
    color: white;
    font-family: GuardianSans, Arial, Helvetica, sans-serif;
    padding: 5px;
    font-weight: bold;
    width: 24px;
    height: 24px;
    line-height: 15px;
    text-align: center;
    margin-right: 3px;
    font-size: 15px;
    display: inline-block;
    /* position:absolute */
    display: none;
}

.jpValgDashboard--wrapper .infoboxLabel:before {
    width: 15px;
    height: 15px;
    line-height: 15px;
    margin-bottom: 2px;
    font-size: 15px;
    display: inline-block;
    /* position:absolute */;
}
.partyLabelRoed:before,
.partyLabelro:before {
    background-color: var(--blockColorRoed);
    content:"\00A0"
}

.partyLabelBlaa:before,
.partyLabelbl:before {
    background-color: var(--blockColorBlaa);
    content:"\00A0"
}

.partyLabelModeraterne:before,
.partyLabelmo:before {
    background-color: var(--blockColorM);
    content:"\00A0"
}

.partyLabelA:before{
    background-color: var(--partyColorA);
    content: "A"
}

.partyLabelÅ:before,
.partyLabelAA:before {
    background-color: var(--partyColorAA);
    content: "Å"
}

.partyLabelB:before {
    background-color: var(--partyColorB);
    content: "B"
}

.partyLabelC:before {
    background-color: var(--partyColorC);
    content: "C"
}

.partyLabelD:before {
    background-color: var(--partyColorD);
    content: "D"
}

.partyLabelF:before {
    background-color: var(--partyColorF);
    content: "F"
}

.partyLabelG:before {
    background-color: var(--partyColorG);
    content: "G"
}

.partyLabelI:before {
    background-color: var(--partyColorI);
    content: "I"
}

.partyLabelK:before {
    background-color: var(--partyColorK);
    content: "K"
}

.partyLabelM:before {
    background-color: var(--partyColorM);
    content: "M"
}

.partyLabelO:before {
    background-color: var(--partyColorO);
    content: "O"
}

.partyLabelØ:before,
.partyLabelOE:before {
    background-color: var(--partyColorOE);
    content: "Ø"
}

.partyLabelQ:before {
    background-color: var(--partyColorQ);
    content: "Q"
}

.partyLabelV:before {
    background-color: var(--partyColorV);
    content: "V"
}

.partyLabelÆ:before,
.partyLabelAE:before {
    background-color: var(--partyColorAE);
    content: "Æ"
}


/* Special styling */
.jpValgDashboard--wrapper .graphWrapper .graphWrapper--mandates {
    min-height: 300px;
    max-height: 400px;
}

/* Mandate grid */

.jpValgDashboard--wrapper .mandateGrid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    max-width: 620px;
    margin: auto;
}

.jpValgDashboard--wrapper .mandateGrid.columns--3 {
    grid-template-columns: 1fr 1fr 1fr;
} 

.jpValgDashboard--wrapper .mandateGrid .mandate-grid-block {
    display: block;
    margin-bottom: 15px;
}

.jpValgDashboard--wrapper .mandateGrid section div label:nth-of-type(2) {
    display: block;
    margin-top: 10px;
}

.jpValgDashboard--wrapper .mandateGrid .mandate-grid-number {
    display: block;
    font-family: 'GuardianEgyptian', Georgia, serif;
    font-size: 3rem;
    font-weight: bold;
    margin: 24px auto;
}

.jpValgDashboard--wrapper .mandateGrid div {
    margin: auto;
    text-align: center;

}

/* Small grid for blok parties under mandate chart */

.jpValgDashboard--wrapper .mandate-grid-icons {
    display: grid;
    margin-top: 15px;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 5px;
    grid-template-rows: 1fr 1fr;
}

/* center middle option which only contains one party */
#blokOption2parties {
    grid-template-columns: 1fr;
}

@media screen and (min-width: 600px) {
    .jpValgDashboard--wrapper .mandate-grid-icons {
        grid-template-columns: repeat(4, 1fr);
    }
}

/* explainer images */
.jpValgDashboard--wrapper .explainerImage {
    max-width: 400px;
    width: 100%;
    display: block;
    margin: auto;
    /* border: 2px solid #cecece; */
}

/* infoboks */
.jpValgDashboard--wrapper .infobox {
    margin: auto;
    font-family: GuardianSans, Arial, sans-serif;
    max-width: 620px;
    /* color: #fff;
    background-color: #248a88; */

    /* border: #bebebe 1px solid;
    font-family: GuardianSans, Arial, sans-serif;
    max-width: 620px;
    padding: 15px;
    margin: auto; */
    /* font-size: 1rem */
}

.jpValgDashboard--wrapper .infobox details {
    border-bottom: #bebebe 1px dotted;
    /* padding: 15px 0; */
    padding: 15px 10px;
}

.jpValgDashboard--wrapper .infobox details:first-of-type {
    border-top: #bebebe 1px dotted;
}

.jpValgDashboard--wrapper .infobox summary {
    font-weight: bold;
    cursor: pointer;

}

.jpValgDashboard--wrapper .infobox h3 {
    margin-top: 5px;
}



.jpValgDashboard--wrapper .infobox p {
    margin-left: 0;

}

/* Load animation */

.jpValgDashboard--wrapper .loading {
    position: absolute;
    height: 100%;
    width: 100%;
    margin: auto;
    overflow: hidden;
    margin-top: 200px;

}

.jpValgDashboard--wrapper .loading .icon::before {
    content: "";
    background-image: url("img/loading.png");
    background-size: 50px 50px;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    position: absolute;
    height: 100px;
    width: 100%;
    z-index: 200;
    animation: spin 1s infinite linear;

}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}


/* JP breaker */
.jpBreaker {
    width: 100%
}

.jpBreaker>div {
    width: 50px;
    height: 3px;
    background-color: #666;
    /* margin: -10px auto; */
    margin: 50px auto;
}

/* barchart styling */

.jpBarchart--wrapper {
    width: 100%;
    font-family: GuardianSans, Arial, Helvetica, sans-serif;
    min-width: 200px;
    font-size: 14px;

    /* defining height of bar */

    --barHeight: 33px;
    /* default bottom/top margin */
    --defaultMargin: 6px;

    margin: auto;
    margin-top: 24px;
    margin-bottom: 24px;
    max-width: 620px;
}

.jpBarchart--wrapper .jpBarchart--container {
    width: 100%;
    position: relative;
    height: var(--barHeight);
}

.jpBarchart--wrapper .jpBarchart--container div:first-of-type {
    width: 100%;
}

.jpBarchart--wrapper .jpBarchart--container div {
    position: absolute;
    height: var(--barHeight);
    transition: width 1s linear;
}

/* border on bar slices (all but first element) */

.jpBarchart--wrapper .jpBarchart--container div.barSlice:not(:first-child) {
    border-left: 2px solid #fff;
    /* compensate for border */
    margin-left: -1px;
    box-sizing: border-box;
}

.jpBarchart--wrapper .jpBarchart--container span {
    padding: 1px 5px 0;
    font-size: 1.2em;
    color: #fff;
    display: inline-block;
    font-weight: 700;
    white-space: nowrap;
    line-height: var(--barHeight);
}

/* defining colors */
.jpBarchart--wrapper .jpBarchart--container div.barSlice {
    background-color: #dfdfdf;
}

/* styling center marker */

/* Type: Dash */

/* .jpBarchart--wrapper div.centerMarker {
    left: calc(50% - 1px);
    border-right: 2px dotted #fff;
    height: var(--barHeight);
} */

/* Overlapping centermarker */
/* height: calc(var(--barHeight) + 20px);
margin-top: -10px */

/* Type: Arrow/triangle */
.jpBarchart--wrapper div.centerMarker {
    position: absolute;
    top: -6px;
    /* top: calc(-1 * var(--defaultMargin)); */
    /* top: -0.25rem; */
    left: 50%;
    transform: translate(-50%, -100%);
    width: 11px;
    height: 6px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10.591' height='6' viewBox='0 0 10.591 6'%3E%3Cg id='arrow_carrot-down' transform='translate(5.296 3)'%3E%3Cg id='arrow_carrot-down-2' data-name='arrow_carrot-down' transform='translate(-5.296 -3)'%3E%3Cpath id='Path_800' data-name='Path 800' d='M18.9,13.714,14.807,17.8l-4.089-4.089a.707.707,0,0,0-1,1L14.305,19.3a.714.714,0,0,0,1,0L19.9,14.714a.707.707,0,0,0-1-1Z' transform='translate(-9.511 -13.507)'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
    background-size: contain;
    background-repeat: no-repeat;
}

/* Placing labels */
.jpBarchart--wrapper .jpBarchart--labels {
    width: 100%;
    position: relative;
    font-weight: bold;
    margin-bottom: 2px;
    text-transform: uppercase;
    font-weight: 500
}

.jpBarchart--wrapper .jpBarchart--labels label:first-of-type {
    display: inline-block;

}

.jpBarchart--wrapper .jpBarchart--labels label:last-of-type {
    position: absolute;
    right: 0
}

/* Notes (source and update) */


.jpBarchart--wrapper .jpBarChart--notesContainer>div {
    font-size: 14px;
}

/* .jpBarchart--wrapper .jpBarChart--notesContainer div:last-of-type {
    color: #111;
    font-size: 14px;
} */

/* desktop view */
@media screen and (min-width:350px) {
    .jpBarchart--wrapper .jpBarChart--notesContainer {
        display: flex;
    }

    .jpBarchart--wrapper .jpBarChart--notesContainer div:first-of-type {
        width: 70%;
    }

    .jpBarchart--wrapper .jpBarChart--notesContainer div:last-of-type {
        text-align: right;
        width: 30%
    }
}

.jpBarchart--wrapper .jpBarchart--notes {
    margin-top: var(--defaultMargin);
    font-size: 14px;
    color: #666
}

/* Note om nordatlantiske mandater */

.nordicsNote {
    margin-top: 12px;
    line-height: 16px;
    font-size: 14px;
    margin-bottom: -1px;
}

.nordicsNote::before {
    content:"";
    display: inline-block;
    line-height: 16px;
    height:12px;
    width: 12px;
    background-color: #dfdfdf;
    margin-right: 6px;

}